import java.util.*;

public class Sample {
  public static String process(Object input) {
    /*
    if(input instanceof Integer) {
      return "one";
    }

    if(input instanceof String str) {
      return "got a string of length " + str.length();
    }

    return "whatever";
    */

    return switch(input) {
      case Integer i && i == 1 -> "one";
      case String str -> "got a string of length " + str.length();
      default -> "whatever";
    };
  }

  public static void main(String[] args) {
    System.out.println(process(1));
    System.out.println(process("hello"));
  }
}
